Eo's Debug information helper.

Macros | Functions | Variables
Eo's Debug information helper.
Eo

## Macros
#define | EO_DBG_INFO_APPEND(LIST, NAME, TYPE, VALUE)
| Creates a new debug info into a list. More...

## Functions
static Eo_Dbg_Info * | EO_DBG_INFO_LIST_APPEND (Eo_Dbg_Info *list, const char *name)
| Creates a list inside debug info list. More...
EAPI void | eo_dbg_info_free (Eo_Dbg_Info *info)
| Frees the Eo_Dbg_Info tree. More...

## Variables
EAPI const Eina_Value_Type * | EO_DBG_INFO_TYPE
| The Eina_Value_Type for the debug info.

## Detailed Description

## Macro Definition Documentation

## ◆ EO_DBG_INFO_APPEND

#define EO_DBG_INFO_APPEND | ( |  | LIST,
|  |  | NAME,
|  |  | TYPE,
|  |  | VALUE
| ) |  |

Value:
do { \
Eo_Dbg_Info *List = LIST; \
if (List) \
{ \
Eo_Dbg_Info *Tmp = calloc(1, sizeof(*Tmp)); \
\
if (!Tmp) break; \
Tmp->name = eina_stringshare_add(NAME); \
eina_value_setup(&(Tmp->value), TYPE); \
eina_value_set(&(Tmp->value), VALUE); \
eina_value_list_pappend(&(List->value), Tmp); \
} \
} while (0)
eina_stringshare_add
EAPI Eina_Stringshare * eina_stringshare_add(const char *str)
Retrieve an instance of a string for use in a program.
Definition: eina_stringshare.c:610

Creates a new debug info into a list.

Parameters

  [in] | LIST | list where to append (Eo_Dbg_Info *)
  [in] | NAME | name of the parameter (const char *)
  [in] | TYPE | type of the parameter (Eina_Value_Type *)
  [in] | VALUE | value of the parameter

## Function Documentation

## ◆ EO_DBG_INFO_LIST_APPEND()

static Eo_Dbg_Info* EO_DBG_INFO_LIST_APPEND | ( | Eo_Dbg_Info * | list,
|  | const char * | name
| ) |  |
| inlinestatic

Creates a list inside debug info list.

Parameters

  [in] | list | list where to append
  [in] | name | name of the list

Returns
  the new list

References eina_stringshare_add(), eina_value_list_pappend(), eina_value_list_setup(), and _Eo_Dbg_Info::value.

## ◆ eo_dbg_info_free()

EAPI void eo_dbg_info_free | ( | Eo_Dbg_Info * | info | ) |

Frees the Eo_Dbg_Info tree.

(The whole tree recursively).

Parameters

  [in] | info | The tree to delete.

References eina_error_set(), EINA_FALSE, eina_stringshare_del(), eina_stringshare_ref(), EINA_TRUE, eina_value_copy(), eina_value_flush(), eina_value_to_string(), eina_value_type_pset(), EINA_VALUE_TYPE_STRING, EINA_VALUE_TYPE_STRINGSHARE, _Eo_Dbg_Info::value, and _Eina_Value_Type::value_size.